diff -ruN ../typo3-lts.org/Makefile ./Makefile
--- ../typo3-lts.org/Makefile	2014-05-28 12:59:39.000000000 +0200
+++ ./Makefile	2014-05-28 12:59:56.000000000 +0200
@@ -25,8 +25,8 @@
 USERS=		${WWWOWN}
 GROUPS=		${WWWGRP}
 
-PLIST_SUB+=	PORTVERSION="${PORTVERSION}" \
-		WWWOWN=${WWWOWN} WWWGRP=${WWWGRP}
+#PLIST_SUB+=	PORTVERSION="${PORTVERSION}" \
+#		WWWOWN=${WWWOWN} WWWGRP=${WWWGRP}
 
 DISTFILES+=	${TYPO3SRC}${EXTRACT_SUFX}
 
@@ -62,5 +62,36 @@
 	${LN} -fs typo3_src/index.php ${STAGEDIR}${PREFIX}/${TYPO3WWW}/${PORTNAME}-${TYPO3RELEASE}/index.php
 	${LN} -fs typo3_src/typo3 ${STAGEDIR}${PREFIX}/${TYPO3WWW}/${PORTNAME}-${TYPO3RELEASE}/typo3
 	${CP} ${WRKDIR}/${TYPO3SRC}/_.htaccess ${STAGEDIR}${PREFIX}/${TYPO3WWW}/${PORTNAME}-${TYPO3RELEASE}/.htaccess
+	${CHOWN} -R ${WWWOWN}:${WWWGRP} ${STAGEDIR}${PREFIX}/${TYPO3WWW}/${PORTNAME}-${TYPO3RELEASE}
+	${CHOWN} -R ${WWWOWN}:${WWWGRP} ${STAGEDIR}${PREFIX}/${TYPO3WWW}/${TYPO3SRC}/typo3/ext
+
+post-install:
+#	pkg-plist contains ~12k lines
+#	@${ECHO_CMD} -e "@owner ${WWWOWN}\n@group ${WWWGRP}" >> ${TMPPLIST}
+	@cd ${STAGEDIR}${PREFIX}; \
+		${FIND} * \( -type f -or -type l \) -path "${TYPO3WWW}/${PORTNAME}-${TYPO3RELEASE}/*" | \
+		${SORT} >> ${TMPPLIST}
+	@${ECHO_CMD} -e "@owner ${WWWOWN}\n@group ${WWWGRP}" >> ${TMPPLIST}
+	@cd ${STAGEDIR}${PREFIX}; \
+		${FIND} * \( -type f -or -type l \) -path "${TYPO3WWW}/${TYPO3SRC}/typo3/ext/*" | \
+		${SORT} >> ${TMPPLIST}
+	@${ECHO_CMD} -e "@owner root\n@group wheel" >> ${TMPPLIST}
+	@cd ${STAGEDIR}${PREFIX}; \
+		${FIND} * \( -type f -or -type l \) \
+		-not \( -path "${TYPO3WWW}/${PORTNAME}-${TYPO3RELEASE}/*" -or \
+		-path "${TYPO3WWW}/${TYPO3SRC}/typo3/ext/*" \) | \
+		${SORT} >> ${TMPPLIST}
+	@${ECHO_CMD} -e "@owner ${WWWOWN}\n@group ${WWWGRP}" >> ${TMPPLIST}
+	@cd ${STAGEDIR}${PREFIX}; ${FIND} -d * -type d -regex "${TYPO3WWW}/${PORTNAME}-${TYPO3RELEASE}/*.*" | \
+		${SORT} | ${SED} -ne 's#^#@dirrmtry #p' >> ${TMPPLIST}
+	@${ECHO_CMD} -e "@owner ${WWWOWN}\n@group ${WWWGRP}" >> ${TMPPLIST}
+	@cd ${STAGEDIR}${PREFIX}; ${FIND} -d * -type d -regex "${TYPO3WWW}/${TYPO3SRC}/typo3/ext/*.*" | \
+		${SORT} | ${SED} -ne 's#^#@dirrmtry #p' >> ${TMPPLIST}
+	@${ECHO_CMD} -e "@owner root\n@group wheel" >> ${TMPPLIST}
+	@cd ${STAGEDIR}${PREFIX}; ${FIND} * -type d \
+		-path "${TYPO3WWW}/*" \
+		-not \( -regex "${TYPO3WWW}/${PORTNAME}-${TYPO3RELEASE}/*.*" -or \
+		-regex "${TYPO3WWW}/${TYPO3SRC}/typo3/ext/*.*" \) | \
+		${SORT} | ${SED} -ne 's#^#@dirrmtry #p' >> ${TMPPLIST}
 
 .include <bsd.port.mk>
